doc-rfc (20230121-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Dec 2025 22:21:38 +0000

doc-rfc (20230121-1) unstable; urgency=medium

  * New upstream version.

 -- Iustin Pop <iustin@debian.org>  Sun, 22 Jan 2023 16:36:58 +0100

doc-rfc (20201128-1) unstable; urgency=medium

  * New upstream version.
  * Stop shipping postscript files: there are too many issues with old
    postscript versions (e.g. #970878, but not only), so drop postscript
    versions for which a PDF file exists, and convert the remaining 4
    PostScript-only files to PDF at build-time.
  * Re-encode a few old ISO-8859-1 encoded files into UTF-8.
  * Many fixes and improvements to the packaging and build process: enable
    parallel compression (if allowed), fixing dh_missing warnings, watch
    file version missing, etc.; now lintian-clean.
  * Bump standards version (no changes needed) and debhelper compat level
    (required fixing the dh_missing errors).

 -- Iustin Pop <iustin@debian.org>  Tue, 01 Dec 2020 00:12:21 +0100

doc-rfc (20191026-1) unstable; urgency=medium

  * New upstream version.
  * Switch Python build scripts to Python 3 (Closes: #943000).

 -- Iustin Pop <iustin@debian.org>  Mon, 28 Oct 2019 21:24:59 +0100

doc-rfc (20181229-2) unstable; urgency=medium

  [ Till Kamppeter <till.kamppeter@gmail.com> ]
  * In the autopkgtest replaced the call of pstotext by ps2txt
    as pstotext upstream is unmaintained for years and stopped
    working with Ghostscript whereas ps2txt is part of ghostscript
    (LP: #1762778, Closes: #918249, Closes: #895541).

  [ Gianfranco Costamagna ]
  * Commit the Ubuntu delta on Debian git.

  [ Iustin Pop ]
  * Acknowledge semi-NMU, thanks a lot Gianfranco!
  * Restore rfc5771.txt deleted by quilt (misbehaviour), to make future
    merges with upstream easier.

 -- Iustin Pop <iustin@debian.org>  Fri, 04 Jan 2019 22:56:31 +0100

doc-rfc (20181229-1) unstable; urgency=medium

  * New upstream version.
  * Improve the retrieval of upstream files to eliminate the remaining
    manual step, for more reliable builds.
  * Switch to newer standards version: no changes needed, but add
    rules-requires-root: no.
  * Switch to debhelper 12, and to new method of declaring the compat level.

 -- Iustin Pop <iustin@debian.org>  Wed, 02 Jan 2019 15:05:24 +0100

doc-rfc (20170121-1) unstable; urgency=medium

  * New upstream version
  * Switch packaging to multi-upstream-tarball, which means we can finally
    stop shipping upstream files under `debian/'

 -- Iustin Pop <iustin@debian.org>  Tue, 24 Jan 2017 23:35:26 +0100

doc-rfc (20160507-1) unstable; urgency=medium

  * New upstream snapshot 20160507
  * The upstream website changed a bit, which required dropping the old
    html summary files (rfc-best.html, rfc-draft.html, etc.); the
    rfc-index.txt still exists (in doc-rfc-std) and should be used instead
  * Due to the upstream changes, the scripts used to distribute the rfcs
    across the packages have been rewritten; if you see wrong
    categorisation, please report it

 -- Iustin Pop <iustin@debian.org>  Fri, 13 May 2016 20:04:57 +0200

doc-rfc (20150425-1) unstable; urgency=medium

  * New upstream version 20150425 (Closes: #776176)
  * Add fix for broken contents in rfc2616 (Closes: #464631)
  * Add dependency on doc-rfc-experimental to doc-rfc (Closes: #592165)
  * Stop storing the timestamp in gzipped files (for reproducible builds)
  * Standard version 3.9.6 (no changes needed)
  * Add mechanism for rewriting broken PostScript files (Closes: #670129)
  * Add autopkg tests for rfc presence and dhelp integration (should
    prevent future occurrences of bugs similar to #670129)

 -- Iustin Pop <iustin@debian.org>  Thu, 30 Apr 2015 01:30:05 +0200

doc-rfc (20120225-2) unstable; urgency=low

  * Update dependencies (replaces/breaks) to fix upgrade problems (Closes:
    #661590).
  * Re-add "special-naming-scheme" rfc 17a (Closes: #591886).
  * Remove all mentions of old numeric packages in relationships, in order
    to simplify the dependencies.

 -- Iustin Pop <iustin@debian.org>  Sun, 18 Mar 2012 16:45:41 +0100

doc-rfc (20120225-1) unstable; urgency=low

  [ Thomas Koch ]
  * Imported Upstream version 20111105
  * update debhelper compat and policy standard
  * use debian/clean file
  * modernize debian/rules

  [ Iustin Pop ]
  * Imported Upstream version 20120225
  * Update debian/extra files for upstream 20120225
  * Standards version 3.9.3 (updated section of the metapackage)

 -- Iustin Pop <iustin@debian.org>  Mon, 27 Feb 2012 23:00:36 +0100

doc-rfc (20100731-1) unstable; urgency=low

  * Adopt the package (Closes: #543883).
  * New upstream version (Closes: #287224, #366673, #377602).
  * Redo the way doc-base documents are registered (Closes: #200828,
    #215068, #201618) and their contents (Closes: #210587, #380689, #366118).
  * Change packaging scheme to eliminate the numeric packages and the
    confusion regarding where to find a given RFC (Closes: #223504, #223504).
  * Update/enhance the long description of packages (Closes: #209456,
    #209471, #209491, #209631), thanks Clément Stenac.

 -- Iustin Pop <iustin@debian.org>  Wed, 04 Aug 2010 11:40:16 -0400

doc-rfc (20030621-3) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 11:01:36 +0200

doc-rfc (20030621-2) unstable; urgency=low

  * New maintainer (Closes: #357591).

 -- Daniel Baumann <daniel@debian.org>  Sat, 16 Feb 2008 11:25:00 +0100

doc-rfc (20030621-1) unstable; urgency=low

  * New docs (closes: #119589, #133124, #134524, #172857, #172857).
  * Spelling fix (closes: #124559).
  * Closed by NMU below (closes: #133563).
  * Switched to non-free/doc. I do believe that the arguments against it being
    free enough are bogus, but I'm tired of this fight. If someone else wants
    to clear this up, be my guest.
    Also adjusted copyright file (closes: #92810).
  * Bump Standard-Version.
  * resynced rules with a current dh-make
  * redesigned doc-base handling via /usr/lib/doc-rfc/register-doc-rfc-docs
    script
    (closes: #111218, #111788, #114754, #115021, #141149, #163824, #181884)
  * various small tweaks, such as allowing for RFC 17a

 -- Kai Henningsen <kai@khms.westfalen.de>  Sun, 22 Jun 2003 19:50:11 +0200

doc-rfc (20010829-1.1) unstable; urgency=low

  * NMU
  * Make sure all scripts are executable before they're called
    (closes: #133563).

 -- Steve Langasek <vorlon@debian.org>  Wed,  2 Apr 2003 22:52:37 -0600

doc-rfc (20010829-1) unstable; urgency=low

  * New docs (closes:Bug#100185,Bug#109216)
  * moved from /usr/share/RFC to /usr/share/doc/RFC to accommodate dwww
    and dhelp (closes:Bug#97781)
  * Bug about antique package versions: (closes:Bug#104002)
  * Bogus report: Copyright is clearly DFSG-free: "This document
    and translations of it may be copied and furnished to others,
    and derivative works that comment on or otherwise explain it or
    assist in its implementation may be prepared, copied, published and
    distributed, in whole or in part, without restriction of any kind,
    provided that the above copyright notice and this paragraph are
    included on all such copies and derivative works." (closes:Bug#92810)
    Don't waste my time with nonsense, Branden!
  * new /usr/share/doc/RFC/links directory (closes:Bug#92910,Bug#93723)

 -- Kai Henningsen <kai@khms.westfalen.de>  Sun,  2 Sep 2001 15:29:59 +0200

doc-rfc (20010331-1) unstable; urgency=HIGH

  * Package split into various subpackages
    (closes:Bug#42668,Bug#67277)
  * Now including _all_ available RFCs
    (closes:Bug#42671,Bug#62585,Bug#74340,Bug#75013,Bug#75055,Bug#84483)
    Specific remarks:
    62585: 1094,1813 in doc-rfc-1000-1999; 2339 in doc-rfc-2000-2999;
           2664 in doc-rfc-fyi-bcp
           Other NFS RFCs: 2054, 2055, 2224, 2623, 2624, 2755, 3010
    74340: 2033 in doc-rfc-2000-2999
    75013: 2795 in doc-rfc-2000-2999
    75055: 783 in doc-rfc-0001-0999
           Current TFTP RFC: 1350, updates: 1785, 2347-2349
    84483: 2104 in doc-rfc-2000-2999
    (For those other RFCs, see /usr/share/RFC/rfc-status.txt.gz in doc-rfc-std
    to find out which package they are in)
  * Now using pristine source
  * Completely new Debianization
    (closes:Bug#70623,Bug#72279,Bug#75849,Bug#75850,Bug#75851,Bug#75852,Bug#75854)
  * RFCs moved to /usr/share/RFC
    (closes: Bug#62378)

 -- Kai Henningsen <kai@khms.westfalen.de>  Sat, 31 Mar 2001 15:50:30 +0200

doc-rfc (2001.01-1) unstable; urgency=low

  * docs as of 2001-01-13

 -- Kai Henningsen <kai@khms.westfalen.de>  Sat, 13 Jan 2001 20:27:39 +0100

doc-rfc (2000.08-1) unstable; urgency=low

  * docs as of 2000-08-20 (closes:Bug#
  * added RFCs 1459 2810 2811 2812 2813 (closes:Bug#53944,Bug#54522)
  * change to debhelper (closes:Bug#56061)
  * eliminated some temporary files (closes:Bug#58183)

 -- Kai Henningsen <kai@khms.westfalen.de>  Sun, 20 Aug 2000 12:34:57 +0200

doc-rfc (1999.08-1) unstable; urgency=low

  * docs as of 1999-08-02
  * all-rfcs renamed all-included-rfcs to keep people from thinking this
    should really be all rfcs that exist (closes:Bug#32297,Bug#39142) -
    incidentally, there is no all-rfcs.txt.gz as mentioned in #39142
  * include RFC 1153 (closes:Bug#34546)
  * include RFC 1321 (closes:Bug#40023)

 -- Kai Henningsen <kai@khms.westfalen.de>  Mon, 26 Jul 1999 20:11:35 +0200

doc-rfc (1999.01-2) unstable; urgency=low

  * docs as of 1999-04-11
  * include RFC 2139

 -- Kai Henningsen <kai@khms.westfalen.de>  Sun, 11 Apr 1999 16:08:36 +0200

doc-rfc (1999.01-1) frozen unstable; urgency=low

  * include draft standards (fixes:Bug#28547)
  * include RFC 2468 (fixes:Bug#28276)
  * Docs as of 1999-01-02

 -- Kai Henningsen <kai@khms.westfalen.de>  Sat,  5 Dec 1998 14:20:03 +0100

doc-rfc (1998.09-1) unstable; urgency=low

  * Docs as of 1998-09-17
  * getst rewritten in perl, to get rid of shell errors, and also to get
    dramatic build speedups (fixes:Bug#21081,Bug#25742)
  * slight tweaks to makefile (fixes:Bug#25045)
  * Added several RFCs to other_rfcs.txt (fixes:Bug#23148,Bug#24945,Bug#26298)

 -- Kai Henningsen <kai@khms.westfalen.de>  Sat, 11 Apr 1998 23:05:14 +0200

doc-rfc (1998.03-1) unstable; urgency=low

  * Docs as of 1998-03-14
  * slight tweaks to scripts (fixes:Bug#15438,Bug#18137,Bug#19292)

 -- Kai Henningsen <kai@khms.westfalen.de>  Fri, 13 Mar 1998 21:32:33 +0100

doc-rfc (1998.01-1) unstable; urgency=low

  * Docs as of 1998-01-10
  * README added. Generator revamped.

 -- Kai Henningsen <kai@khms.westfalen.de>  Mon,  5 Jan 1998 13:30:28 +0100

doc-rfc (1997.12-2) unstable; urgency=low

  * repaired bad ownership (a libc5 dpkg doesn't work with fakeroot)

 -- Kai Henningsen <kai@khms.westfalen.de>  Mon, 22 Dec 1997 17:20:47 +0100

doc-rfc (1997.12-1) unstable; urgency=low

  * Added fixperms.sh (fixes:Bug#15357)
  * Docs as of 1997-12-11
  * Docs as of 1997-11-28

 -- Kai Henningsen <kai@khms.westfalen.de>  Sun, 30 Nov 1997 20:50:13 +0100

doc-rfc (1997.10-1) unstable; urgency=low

  * Docs as of 1997-10-04
  * Better RFC selection (fixes bug #11077)

 -- Kai Henningsen <kai@khms.westfalen.de>  Sat,  4 Oct 1997 15:38:15 +0200

doc-rfc (1997.05-1) frozen unstable; urgency=low

  * Docs as of 1997-05-05

 -- Kai Henningsen <kai@khms.westfalen.de>  Mon, 5 May 1997 00:44:37 +0200

doc-rfc (1997.04-2) unstable; urgency=low

  * Architecture: should be all, not any

 -- Kai Henningsen <kai@khms.westfalen.de>  Sat, 5 Apr 1997 22:26:46 +0200

doc-rfc (1997.04-1) unstable; urgency=low

  * Initial release. Docs as of 1997-03-30.

 -- Kai Henningsen <kai@khms.westfalen.de>  Mon, 31 Mar 1997 22:40:49 +0200
